#ifndef SETTINGS_H
#define SETTINGS_H

enum _cameraMode {
    CM_FOLLOW_PLAYER = 0,
    CM_PAN_WITH_MOUSE,
};

extern bool g_fullscreen;
extern int g_screenWidth;
extern int g_screenHeight;
extern int g_cameraMode;
extern bool g_doDebugDraw;
extern float g_playerRunStrength;
extern float g_playerRunSpeed;
extern float g_playerJumpStrength;
extern float g_playerAirSteerStrength;

//called from script into application
void setFullscreen(bool tf);
void setDisplayDimensions(int width, int height);
void setDoDebugDraw(bool tf);
void setCameraMode(int mode);
void setPlayerStats(float runStrength, float runSpeed, float jumpStrength, float airSteerStrength);

//called at startup and game reload
void loadSettings();

#endif // SETTINGS_H
